package com.buy507.mall.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 发展基金流水
 * @TableName ums_development_fund
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UmsDevelopmentFund implements Serializable {
    /**
     *
     */
    private Integer id;

    /**
     * 现金
     */
    private BigDecimal cashTotal;

    /**
     * 积分
     */
    private Integer pointsTotal;

    /**
     * 更新时间
     */
    private Date updatedAt;

    public Integer getPointsTotal() {
        return pointsTotal;
    }

    public void setPointsTotal(Integer pointsTotal) {
        this.pointsTotal = pointsTotal;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getCashTotal() {
        return cashTotal;
    }

    public void setCashTotal(BigDecimal cashTotal) {
        this.cashTotal = cashTotal;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return "UmsDevelopmentFund{" +
                "id=" + id +
                ", cashTotal=" + cashTotal +
                ", pointsTotal=" + pointsTotal +
                ", updatedAt=" + updatedAt +
                '}';
    }
}